/******************************************************************************

  This file is part of the:

  TInfViewer class by SET, copyright (c) 1997.

   You can use this code for any purpose if you don't remove the original
copyright.

  E-Mail: salvador@inti.edu.ar
  
  Telephone: (+541) 759-0013
  
  Postal Address:
  Salvador E. Tropea
  Curapalige 2124
  (1678) Caseros - 3 de Febrero
  Prov: Buenos Aires
  Argentina

******************************************************************************/

/*------------------------------------------------------------*/
/* filename -       sinf.cc                                   */
/*                                                            */
/* Registration objects for the following classes:            */
/*                      TInfViewer                            */
/*                      TInfWindow                            */
/*------------------------------------------------------------*/

/*------------------------------------------------------------*/
/*                                                            */
/*  Needed to write the objects to a stream.                  */
/*                                                            */
/*------------------------------------------------------------*/

#include <string.h>

#define Uses_TView
#define Uses_TScroller
#define Uses_TWindow
#define Uses_TStreamableClass
#define Uses_TDialog
#define Uses_TStringCollection
#define Uses_TSortedListBox
#include <tv.h>

#include "inf.h"

__link( RView )
__link( RWindow )
__link( RScrollBar )
__link( RScroller )
__link( RNoCaseStringCollection )

TStreamableClass RInfViewer( TInfViewer::name,
                             TInfViewer::build,
                             __DELTA(TInfViewer)
                            );

TStreamableClass RInfWindow( TInfWindow::name,
                             TInfWindow::build,
                             __DELTA(TInfWindow)
                            );

TStreamableClass RHistCollection( THisCollection::name,
                                  THisCollection::build,
                                  __DELTA(THisCollection)
                                 );

